<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseCursor..::.GetEnumerator Method
BaseCursor Class See Also

Returns an enumerator that iterates through the cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public virtual IEnumerator<KeyValuePair<DatabaseEntry, DatabaseEntry>> GetEnumerator()

Visual Basic (Declaration)

    Public Overridable Function GetEnumerator As IEnumerator(Of KeyValuePair(Of DatabaseEntry, DatabaseEntry))

Visual C++

    public:
    virtual IEnumerator<KeyValuePair<DatabaseEntry^, DatabaseEntry^>>^ GetEnumerator()

#### Return Value

An enumerator for the cursor.

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# See Also

BaseCursor Class
BerkeleyDB Namespace